
typedef void(*tIsrFunc)(void);

//	interrupt handler prototypes
extern interrupt void IrqHandler(void);
extern interrupt void SciRxInterrupt(void);
extern interrupt void SciTxInterrupt(void);
extern interrupt void SciErrInterrupt(void);
extern interrupt void TimerInterrrupt(void);

//	Unknown interrupt
interrupt void UnimplementedISR(void)
{
  for(;;);
}

// Added redirected ISR vectors when BootLoader is enabled.
// The application cannot have a reset vector (resides in BootLoader).
const tIsrFunc _vect[] @0xFFCC = {  // Interrupt table 
	UnimplementedISR,				// vector 25: RT 
	UnimplementedISR,				// vector 24: IIC 
	UnimplementedISR,				// vector 23: ATD 
	UnimplementedISR,				// vector 22: KBI 
	SciTxInterrupt,					// vector 21: SCI2TX 
	SciRxInterrupt,					// vector 20: SCI2RX 
	SciErrInterrupt,				// vector 19: SCI2ER 
	SciTxInterrupt,					// vector 18: SCI1TX 
	SciRxInterrupt,					// vector 17: SCI1RX 
	SciErrInterrupt,				// vector 16: SCI1ER 
	UnimplementedISR,				// vector 15: SPI 
	UnimplementedISR,				// vector 14: TPM2OF 
	UnimplementedISR,				// vector 13: TPM2C4 
	UnimplementedISR,				// vector 12: TPM2C3 
	UnimplementedISR,				// vector 11: TPM2C2 
	UnimplementedISR,				// vector 10: TPM2C1 
	UnimplementedISR,				// vector 09: TPM2C0 
	TimerInterrrupt,				// vector 08: TPM1OF 
	UnimplementedISR,				// vector 07: TPM1C2 
	UnimplementedISR,				// vector 06: TPM1C1 
	UnimplementedISR,				// vector 05: TPM1C0 
	UnimplementedISR,				// vector 04: ICG 
	UnimplementedISR,				// vector 03: Low Voltage Detect 
	IrqHandler,								// vector 02: IRQ pin 
	UnimplementedISR				// vector 01: SWI 
//	_Startup, by default in library
};
